%define qtdir   %{_prefix}/lib/qt3
%define _requires_exceptions perl(\\(OpenGL\\|QtShell\\|QtShellControl\\))

Name: perl-Qt
Version: 3.008
Release: %mkrel 2
Summary: Perl modules and utilities for using the Qt 3 Toolkit
Group: Development/Perl
License: GPL
URL: http://perlqt.sourceforge.net/
Source: PerlQt-%{version}.tar.bz2
Patch0: %name-doc.patch
Patch1: PerlQt-3.008-kdedirs.patch
Patch2: PerlQt-3.008-optimize.patch
BuildRoot: 	%_tmppath/%name-%version-%release-root
BuildRequires: qt3-devel
BuildRequires: smoke-devel >= 3.5.1
BuildRequires: kdelibs-devel
BuildRequires: perl-devel
BuildRequires: automake1.7

%description
PerlQt is a comprehensive Perl Object Oriented interface
to the Qt GUI Toolkit. It also provides several introspection
tools (pqtapi, pqtsh). For a powerful PerlQt RAD tool, check
also the pqt-designer package.

%prep
rm -rf %buildroot
%setup -q -n PerlQt-%{version}
%patch -p0
%patch1 -p0 -b .kdedirs
%patch2 -p0 -b .optimize

%build
export QTDIR=%qtdir
export LD_LIBRARY_PATH="$QTDIR:/%_lib:$LD_LIBRARY_PATH"
export PATH="$PATH:$QTDIR/bin"

export CFLAGS="%optflags" CXXFLAGS="%optflags" 

# Very old package. we * need * relay on this :-(
aclocal-1.7 && autoheader-2.5x && autoconf-2.5x && automake-1.7 -f -c -a

./configure \
   --prefix=%_prefix \
   --datadir=%_datadir \
   --sysconfdir=%_sysconfdir \
   --libdir=%_libdir \
   --mandir=%_mandir \
   --with-qt-libraries=%qtdir/%_lib \
   --with-kde-libraries=%_libdir 

%make

%install
%makeinstall_std INSTALLDIRS=vendor

%clean
rm -fr %buildroot

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO doc PerlQt/examples PerlQt/tutorials
%_bindir/*
%_mandir/*/*
%{perl_vendorarch}/*





%changelog
* Mon May 12 2008 Texstar <texstar@gmail.com> 3.008-2pclos2007
- rebuild for perl 5.10.0

* Tue Dec 04 2007 Texstar <texstar@gmail.com> 3.008-1pclos2007
- import into pclos
